{"__v":0,"_id":"5845a4a89f6fbb1b004307c7","category":{"version":"5845a4a89f6fbb1b004307b7","project":"54d3007669578e0d002730c9","_id":"5845a4a89f6fbb1b004307ba","__v":0,"sync":{"url":"","isSync":false},"reference":false,"createdAt":"2015-07-30T06:53:33.020Z","from_sync":false,"order":2,"slug":"api-reference","title":"API reference"},"parentDoc":null,"project":"54d3007669578e0d002730c9","user":"55a04a395730f40d001104d2","version":{"__v":1,"_id":"5845a4a89f6fbb1b004307b7","project":"54d3007669578e0d002730c9","createdAt":"2016-12-05T17:32:24.708Z","releaseDate":"2016-12-05T17:32:24.708Z","categories":["5845a4a89f6fbb1b004307b8","5845a4a89f6fbb1b004307b9","5845a4a89f6fbb1b004307ba","5845a4a89f6fbb1b004307bb","5845a4a89f6fbb1b004307bc","5845a4a89f6fbb1b004307bd","5845a4a89f6fbb1b004307be","5845a4a89f6fbb1b004307bf","5845a4a89f6fbb1b004307c0"],"is_deprecated":false,"is_hidden":false,"is_beta":false,"is_stable":true,"codename":"","version_clean":"25.0.0","version":"25"},"updates":[],"next":{"pages":[],"description":""},"createdAt":"2015-07-30T06:56:31.360Z","link_external":false,"link_url":"","githubsync":"","sync_unique":"","hidden":false,"api":{"results":{"codes":[]},"settings":"","auth":"required","params":[],"url":""},"isReference":false,"order":2,"body":"All API.AI requests should be made with the versioning ```v``` parameter in the URL. \n\nThe approach is similar to the [Foursquare versioning policy](https://developer.foursquare.com/overview/versioning). So, for example, the query requests should be made to the endpoint **`/query?v=20150910`**.\n\nThe ```v``` parameter is formatted as ```YYYYMMDD```.\nThe parameter indicates that you are ready to handle API version as of the specified date.\n[block:callout]\n{\n  \"type\": \"danger\",\n  \"body\": \"**Do not** pass the current date to the `v` parameter.\"\n}\n[/block]\n\n[block:callout]\n{\n  \"type\": \"warning\",\n  \"title\": \"\",\n  \"body\": \"The versioning ```v``` parameter is required as of June 1, 2015. All requests that are missing the ```v``` parameter will be rejected.\"\n}\n[/block]","excerpt":"","slug":"versioning","type":"basic","title":"Versioning"}
All API.AI requests should be made with the versioning ```v``` parameter in the URL. The approach is similar to the [Foursquare versioning policy](https://developer.foursquare.com/overview/versioning). So, for example, the query requests should be made to the endpoint **`/query?v=20150910`**. The ```v``` parameter is formatted as ```YYYYMMDD```. The parameter indicates that you are ready to handle API version as of the specified date. [block:callout] { "type": "danger", "body": "**Do not** pass the current date to the `v` parameter." } [/block] [block:callout] { "type": "warning", "title": "", "body": "The versioning ```v``` parameter is required as of June 1, 2015. All requests that are missing the ```v``` parameter will be rejected." } [/block]